Get Project TaskAgent Timing Report

Aggregate visible TaskAgent timing across the project.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID

Query parameters

task_agent_idstringOptionalformat: "uuid"
Filter to a specific TaskAgent
start_datestringOptionalformat: "date-time"
Report start timestamp
end_datestringOptionalformat: "date-time"
Report end timestamp
aggregationenumOptionalDefaults to hour
Time bucket granularity. Can be either 'hour' or 'day'.
Allowed values:

Response

Successful Response
project_idstringformat: "uuid"
Unique identifier of the Project.
date_rangemap from strings to strings
Time period covered by the report.
aggregationenum
Time bucket granularity used for the report.
datamap from strings to objects
Average duration and visible run counts for each aggregation bucket.
total_runsinteger>=0
Total number of visible runs included in the report.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error